Z3 |

Public Member Functions
cast_ast< expr > Class Reference

`#include <z3++.h>`

## Public Member Functions
expr | operator() (context &c, Z3_ast a)

## Detailed Description

Definition at line 2152 of file z3++.h.

## Member Function Documentation

## ◆ operator()()

expr operator() | ( | context & | c,
|  | Z3_ast | a
| ) |  |
| inline

Definition at line 2154 of file z3++.h.

2154 {
2155 assert(Z3_get_ast_kind(c, a) == Z3_NUMERAL_AST ||
2156 Z3_get_ast_kind(c, a) == Z3_APP_AST ||
2157 Z3_get_ast_kind(c, a) == Z3_QUANTIFIER_AST ||
2158 Z3_get_ast_kind(c, a) == Z3_VAR_AST);
2159 return expr(c, a);
2160 }
Z3_APP_AST
@ Z3_APP_AST
Definition: z3_api.h:182
Z3_VAR_AST
@ Z3_VAR_AST
Definition: z3_api.h:183
Z3_NUMERAL_AST
@ Z3_NUMERAL_AST
Definition: z3_api.h:181
Z3_QUANTIFIER_AST
@ Z3_QUANTIFIER_AST
Definition: z3_api.h:184
Z3_get_ast_kind
Z3_ast_kind Z3_API Z3_get_ast_kind(Z3_context c, Z3_ast a)
Return the kind of the given AST.